{% extends 'base.html' %}

{% block title %}
    Create
{% endblock %}

{% block js %}
<script>
    window.onload = function(){
        const dateOfBirth = document.getElementById('id_dateOfBirth');
        dateOfBirth.addEventListener('change', function(){
            var yearOfBirth = parseInt(dateOfBirth.value.split('-')[0]);
            var today = new Date();
            var yearOfToday = today.getFullYear();
            var age = yearOfToday - yearOfBirth;
            var gradeOfStudent = age - 5
            console.log(age);
            var classChoices = {{form.class_choices|safe}};
            console.log(classChoices);
            var filteredClassChoices = classChoices.filter(function(choice){
                return choice[1].split('-')[0] == gradeOfStudent;
            });
            console.log(filteredClassChoices);
            const currentClassId = document.getElementById('id_currentClassId');
            currentClassId.innerHTML = '<option value = "" disabled selected>Select a class</option>';
            for(let [g, n] of Object.entries(filteredClassChoices)){
                currentClassId.insertAdjacentHTML('beforeend', '<option value = "'+ n[0] + '">'+ n[1] +'</option>');
            }
            currentClassId.addEventListener('change', function(){
                console.log(currentClassId.value);
            });
        });
        // const currentClassId = document.getElementById('id_currentClassId');
        // currentClassId.addEventListener('change', function(){
        //     var yearOfBirth = parseInt(dateOfBirth.value.split('-')[0]);
        //     var today = new Date();
        //     var yearOfToday = today.getFullYear();
        //     var age = yearOfToday - yearOfBirth;
        //     var gradeOfStudent = age - 5;
        //     var gradeOfClass = parseInt(currentClassId.value);
        //     if(gradeOfClass != gradeOfStudent){
        //         console.log('this student can not choose this grade');
        //     }
        //     else{
        //         console.log('right choice');
        //     }
        // });
    };
</script>
{% endblock %}
{% block content %}
    <h1>Create</h1>
    <form action="/create/" method="post">
        {% csrf_token %}
        {{form.as_p}}
        <input type="submit" value="Submit">
    </form>
{% endblock %}